/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.base.entity.Department;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 部门表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface DepartmentMapper extends BaseMapper<Department> {
    List<Map> listSourceByDept(Map map);

    List<Department> subList(@Param("id") Long id, @Param("returnSelf") String returnSelf);

    List<Long> getRelatedDeptIds(@Param("id") Long id);
}


